Package org.apache.lucene.analysis.morph

# Class ConnectionCosts

java.lang.Object
org.apache.lucene.analysis.morph.ConnectionCosts

public abstract class ConnectionCosts extends Object
n-gram connection cost data

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FILENAME_SUFFIX`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ConnectionCosts(IOSupplier<InputStream> connectionCostResource, String connectionCostsCodecHeader, int dictCodecVersion)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `get(int forwardId, int backwardId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FILENAME_SUFFIX

    public static final String FILENAME_SUFFIX
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ConnectionCosts

    protected ConnectionCosts(IOSupplier<InputStream> connectionCostResource, String connectionCostsCodecHeader, int dictCodecVersion) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### get

    public int get(int forwardId, int backwardId)